[API Reference](../README.md) > [VotableProposal](../interfaces/VotableProposal.md)

# Interface: VotableProposal

## Hierarchy

**VotableProposal**

## Index

### Properties

* [avatarAddress](VotableProposal.md#avatarAddress)
* [numOfChoices](VotableProposal.md#numOfChoices)
* [paramsHash](VotableProposal.md#paramsHash)
* [proposalId](VotableProposal.md#proposalId)
* [proposerAddress](VotableProposal.md#proposerAddress)

---

## Properties

<a id="avatarAddress"></a>

###  avatarAddress

**● avatarAddress**: *[Address](../#Address)*

*Defined in [proposalService.ts:144](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L144)*

___
<a id="numOfChoices"></a>

###  numOfChoices

**● numOfChoices**: *`number`*

*Defined in [proposalService.ts:140](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L140)*

___
<a id="paramsHash"></a>

###  paramsHash

**● paramsHash**: *[Hash](../#Hash)*

*Defined in [proposalService.ts:141](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L141)*

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Defined in [proposalService.ts:142](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L142)*

___
<a id="proposerAddress"></a>

###  proposerAddress

**● proposerAddress**: *[Address](../#Address)*

*Defined in [proposalService.ts:143](https://github.com/daostack/arc.js/blob/6f704389/lib/proposalService.ts#L143)*

___

